Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.mixture.gibbssampling
Class VarianceRatioBurnInTestParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.models.mixture.gibbssampling.AbstractBurnInTestParameterSet
                  de.jstacs.models.mixture.gibbssampling.VarianceRatioBurnInTestParameterSet

All Implemented Interfaces:
  RangeIterator, Storable, Cloneable

    public class VarianceRatioBurnInTestParameterSet

extends AbstractBurnInTestParameterSet

Class for the parameters of a `VarianceRatioBurnInTest`. This class fulfills the requirements of a `AbstractBurnInTestParameterSet` and can be used to create a new `VarianceRatioBurnInTest`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`VarianceRatioBurnInTestParameterSet()` Creates a new `VarianceRatioBurnInTestParameterSet` with empty parameter values.
`VarianceRatioBurnInTestParameterSet(int starts, double t)` Creates a new `VarianceRatioBurnInTestParameterSet` with pre-defined parameter values.
`VarianceRatioBurnInTestParameterSet(StringBuffer representation)` The standard constructor for the interface `Storable`.

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`String` | `getInstanceName()` Returns the name of an instance of the class that can be constructed using this `ParameterSet`.
`double` | `getThreshold()` Returns the threshold used in the `VarianceRatioBurnInTestParameterSet`.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.models.mixture.gibbssampling.AbstractBurnInTestParameterSet
`clone, getNumberOfStarts`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`getErrorMessage, getId, getIndex, getNumberOfParameters, getNumberOfValues, getParameterAt, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, replaceParametersWithRangedInstance, reset, resetToFirst, setParent, simplify, valuesToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VarianceRatioBurnInTestParameterSet

    public VarianceRatioBurnInTestParameterSet()

  Creates a new `VarianceRatioBurnInTestParameterSet` with empty parameter values.

### VarianceRatioBurnInTestParameterSet

    public VarianceRatioBurnInTestParameterSet(int starts,
                                               double t)
                                        throws Exception

  Creates a new `VarianceRatioBurnInTestParameterSet` with pre-defined parameter values.

  Parameters:
    `starts` - the number of runs the Gibbs Sampler will be started
    `t` - the threshold for determining the end of the burn-in phase
  Throws:
    `Exception` - forwarded from `loadParameters()`

### VarianceRatioBurnInTestParameterSet

    public VarianceRatioBurnInTestParameterSet(StringBuffer representation)
                                        throws Exception

  The standard constructor for the interface `Storable`. Constructs an `VarianceRatioBurnInTestParameterSet` out of an XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `VarianceRatioBurnInTestParameterSet` could not be reconstructed out of the `StringBuffer` `representation`
    `Exception`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `AbstractBurnInTestParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### getThreshold

    public double getThreshold()

  Returns the threshold used in the `VarianceRatioBurnInTestParameterSet`.

  Returns:
    the threshold used in the `VarianceRatioBurnInTestParameterSet`

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

### getInstanceName

    public String getInstanceName()

  Description copied from class: `InstanceParameterSet`
  Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceName` in class `InstanceParameterSet`
  Returns:
    the name of the class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD